Bug 173416 - [JSC] Add fast path for Object.assign
Summary: [JSC] Add fast path for Object.assign
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on: 173414
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 05:38 PDT by Yusuke Suzuki
Modified: 2017-06-17 00:18 PDT (History)
8 users (show)

See Also:


Attachments
Patch (6.81 KB, patch)
2017-06-16 13:45 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-06-15 05:38:06 PDT
Unless observable behavior happens, we can avoid GetOwnProperty for each key to ensure the key is still enumerable.
Comment 1 Yusuke Suzuki 2017-06-16 13:45:59 PDT
Created attachment 313125 [details]
Patch
Comment 2 Yusuke Suzuki 2017-06-16 13:46:27 PDT
Basic idea is similar to https://bugs.webkit.org/show_bug.cgi?id=163305
Comment 3 Mark Lam 2017-06-16 13:59:29 PDT
Comment on attachment 313125 [details]
Patch

r=me
Comment 4 Yusuke Suzuki 2017-06-16 14:03:42 PDT
Comment on attachment 313125 [details]
Patch

Thank you!
Comment 5 WebKit Commit Bot 2017-06-16 14:32:56 PDT
Comment on attachment 313125 [details]
Patch

Clearing flags on attachment: 313125

Committed r218415: <http://trac.webkit.org/changeset/218415>
Comment 6 WebKit Commit Bot 2017-06-16 14:32:57 PDT
All reviewed patches have been landed.  Closing bug.